#include <stdio.h>
#include <stdlib.h>
#include <X11/Xlib.h>
#include <X11/extensions/Xrandr.h>

int main()
{
    printf("XInitThreads: %d\n", XInitThreads());

    Display* dpy = XOpenDisplay(getenv("DISPLAY"));
    if (!dpy)
    {
        printf("XOpenDisplay failed\n");
        return 1;
    }

    int screen = XDefaultScreen(dpy);

    printf("Display: %p, Screen: %d\n", dpy, screen);

    Time config;
    Time t = XRRTimes(dpy, screen, &config);

    printf("Ret: %ld, Config: %ld\n", t, config);

    XCloseDisplay(dpy);

    return 0;
}
